| edamisformat

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

Find EDAM ontology terms by is_format_of relation

## Description

edamisformat searches the is_format_of relations of EDAM terms and returns matching terms. The input is read from the installed EDAM database. The ontology term output can be written to screen, to file, or passed to another program. A wide range of standard ontology term formats may be specified for input and output.

Optionally the search can be restricted to specified EDAM namespaces.

## Usage

Here is a sample session with edamisformat

    % edamisformat sequence
    Find EDAM ontology terms by is_format_of relation
    Obo output file [edamisformat.obo]:

Go to the output files for this example

## Command line arguments

    Find EDAM ontology terms by is_format_of relation
    Version: EMBOSS:6.5.6.0

       Standard (Mandatory) qualifiers:
      [-identifier]        string     Identifier(s) to search for in ontology (Any
                                      string)
      [-outfile]           outobo     [*.edamisformat] Output ontology term file
                                      name

       Additional (Optional) qualifiers:
       -namespace          menu       [*] By default all terms are returned.
                                      Searches can be limited to one or a few
                                      namespaces. (Values: data (Data entity);
                                      entity (Biological entity); format (Data
                                      format); identifier (Identifier); operation
                                      (Bioinformatics operation); resource (Data
                                      resource); topic (Field of bioinformatics
                                      study))

       Advanced (Unprompted) qualifiers:
       -sensitive          boolean    [N] By default, the query keywords are
                                      matched against the EDAM term names (and
                                      synonyms) only. This option also matches the
                                      keywords against the EDAM term definitions
                                      and will therefore (typically) report more
                                      matches.
       -subclasses         boolean    [N] Extend the query matches to include all
                                      terms which are specialisations (EDAM
                                      sub-classes) of the matched type.
       -obsolete           boolean    [N] The default behaviour is to not use or
                                      return obsolete terms. This option if set
                                      will include all terms.

       Associated qualifiers:

       "-outfile" associated qualifiers
       -odirectory2        string     Output directory
       -oformat2           string     Ontology term output format

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-identifier] (Parameter 1) | string | Identifier(s) to search for in ontology | Any string |
[-outfile] (Parameter 2) | outobo | Output ontology term file name | OBO ontology term(s) | <*>.edamisformat
Additional (Optional) qualifiers

-namespace

list

By default all terms are returned. Searches can be limited to one or a few namespaces.

data | (Data entity)
entity | (Biological entity)
format | (Data format)
identifier | (Identifier)
operation | (Bioinformatics operation)
resource | (Data resource)
topic | (Field of bioinformatics study)

*

Advanced (Unprompted) qualifiers
-sensitive | boolean | By default, the query keywords are matched against the EDAM term names (and synonyms) only. This option also matches the keywords against the EDAM term definitions and will therefore (typically) report more matches. | Boolean value Yes/No | No
-subclasses | boolean | Extend the query matches to include all terms which are specialisations (EDAM sub-classes) of the matched type. | Boolean value Yes/No | No
-obsolete | boolean | The default behaviour is to not use or return obsolete terms. This option if set will include all terms. | Boolean value Yes/No | No
Associated qualifiers
"-outfile" associated outobo qualifiers
-odirectory2 -odirectory_outfile | string | Output directory | Any string |
-oformat2 -oformat_outfile | string | Ontology term output format | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

edamisformat queries the EDAM ontology.

## Output file format

The output is a standard EMBOSS ontology term file.

The results can be output in one of several styles by using the command-line qualifier `-oformat xxx`, where 'xxx' is replaced by the name of the required format. The available format names are: obo, brief, list, html, xml, json, excel.

See: http://emboss.sf.net/docs/themes/OntologyFormats.html for further information on ontology formats.

### Output files for usage example

### File: edamisformat.obo

    [Term]
    id: EDAM_format:2352
    name: BioXSD
    namespace: format
    def: BioXSD XML format of basic bioinformatics types of data (sequence records, alignments, feature records, references to resources, and more).
    subset: formats
    synonym: "BioXSD XML format" EXACT [http://edamontology.org]
    xref: http://bioxsd.org {documentation=true}
    is_a: EDAM_format:2571 ! Raw sequence format
    is_a: EDAM_format:1919 ! Sequence record format
    is_a: EDAM_format:1920 ! Sequence feature annotation format
    is_a: EDAM_format:2555 ! Alignment format (XML)
    is_a: EDAM_format:2332 ! XML
    relationship: is_format_of EDAM_data:2044 ! Sequence
    relationship: is_format_of EDAM_data:1255 ! Feature record
    relationship: is_format_of EDAM_data:0863 ! Sequence alignment

    [Term]
    id: EDAM_format:2202
    name: Sequence record full format
    namespace: format
    def: Data format for a molecular sequence record, typically corresponding to a full entry from a molecular sequence database.
    subset: formats
    is_a: EDAM_format:1919 ! Sequence record format
    relationship: is_format_of EDAM_data:2201 ! Sequence record full

    [Term]
    id: EDAM_format:2068
    name: Sequence motif format
    namespace: format
    def: Format of a sequence motif.
    subset: formats
    is_a: EDAM_format:2350 ! Format (typed)
    relationship: is_format_of EDAM_data:1353 ! Sequence motif

    [Term]
    id: EDAM_format:2067
    name: Sequence distance matrix format
    namespace: format
    def: Format of a matrix of genetic distances between molecular sequences.
    subset: formats
    is_a: EDAM_format:2350 ! Format (typed)
    relationship: is_format_of EDAM_data:0870 ! Sequence distance matrix

    [Term]
    id: EDAM_format:2203
    name: Sequence record lite format
    namespace: format
    def: Data format for a molecular sequence record 'lite', typically molecular sequence and minimal metadata, such as an identifier of the sequence and/or a comment.
    subset: formats

      [Part of this file has been deleted for brevity]

    namespace: format
    def: Format of a sequence annotation track.
    subset: formats
    is_a: EDAM_format:1920 ! Sequence feature annotation format
    relationship: is_format_of EDAM_data:3002 ! Sequence annotation track

    [Term]
    id: EDAM_format:2920
    name: Alignment format (pair only)
    namespace: format
    def: Data format for molecular sequence alignment information that can hold sequence alignment(s) of only 2 sequences.
    subset: formats
    is_a: EDAM_format:1921 ! Alignment format
    relationship: is_format_of EDAM_data:1381 ! Sequence alignment (pair)

    [Term]
    id: EDAM_format:2155
    name: Sequence features (repeats) format
    namespace: format
    def: Format used for map of repeats in molecular (typically nucleotide) sequences.
    subset: formats
    is_a: EDAM_format:2350 ! Format (typed)
    relationship: is_format_of EDAM_data:1299 ! Sequence features (repeats)

    [Term]
    id: EDAM_format:2921
    name: Sequence variation annotation format
    namespace: format
    def: Format of sequence variation annotation.
    subset: formats
    is_a: EDAM_format:2350 ! Format (typed)
    relationship: is_format_of EDAM_data:0918 ! Nucleic acid features (variation)

    [Term]
    id: EDAM_format:2055
    name: Sequence assembly format
    namespace: format
    def: Format for sequence assembly data.
    subset: formats
    is_a: EDAM_format:2350 ! Format (typed)
    relationship: is_format_of EDAM_data:0925 ! Sequence assembly

    [Term]
    id: EDAM_format:2057
    name: Sequence trace format
    namespace: format
    def: Format for sequence trace data (i.e. including base call information).
    subset: formats
    is_a: EDAM_format:1919 ! Sequence record format
    relationship: is_format_of EDAM_data:0924 ! Sequence trace

## Data files

The EDAM Ontology is included in EMBOSS as local database edam.

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
drfinddata | Find public databases by data type
drfindformat | Find public databases by format
drfindid | Find public databases by identifier
drfindresource | Find public databases by resource
edamdef | Find EDAM ontology terms by definition
edamhasinput | Find EDAM ontology terms by has_input relation
edamhasoutput | Find EDAM ontology terms by has_output relation
edamisid | Find EDAM ontology terms by is_identifier_of relation
edamname | Find EDAM ontology terms by name
godef | Find GO ontology terms by definition
goname | Find GO ontology terms by name
ontoget | Get ontology term(s)
ontogetcommon | Get common ancestor for terms
ontogetdown | Get ontology term(s) by parent id
ontogetobsolete | Get ontology ontology terms
ontogetroot | Get ontology root terms by child identifier
ontogetsibs | Get ontology term(s) by id with common parent
ontogetup | Get ontology term(s) by id of child
ontoisobsolete | Report whether an ontology term id is obsolete
ontotext | Get ontology term(s) original full text
wossdata | Find programs by EDAM data
wossinput | Find programs by EDAM input data
wossoperation | Find programs by EDAM operation
wossoutput | Find programs by EDAM output data
wossparam | Find programs by EDAM parameter
wosstopic | Find programs by EDAM topic

## Author(s)

Peter Rice
European Bioinformatics Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge CB10 1SD, UK

Please report all bugs to the EMBOSS bug team (emboss-bug © emboss.open-bio.org) not to the original author.

## History

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None